Tiling (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.jpeg
Class Tiling

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.jpeg.Tiling

    public class Tiling

extends java.lang.Object

Encapsulation of the tiling information for a JPEG image.

Author:
  Gary McGath

Constructor Summary
`Tiling()` Constructor.

Method Summary
`void` | `addTile(long vertScale, long horScale, long vertOffset, long horOffset)` Adds a tile to the list.
`Property` | `buildTileListProp()` Returns a property listing all the tiles.
`int` | `getHorScale()`
`long` | `getRefGridHeight()`
`long` | `getRefGridWidth()`
`int` | `getTilingType()`
`int` | `getVertScale()`
`void` | `setHorScale(int horScale)`
`void` | `setRefGridHeight(long refGridHeight)`
`void` | `setRefGridWidth(long refGridWidth)`
`void` | `setTilingType(int tilingType)`
`void` | `setVertScale(int vertScale)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Tiling

    public Tiling()

  Constructor.

Method Detail

### addTile

    public void addTile(long vertScale,
                        long horScale,
                        long vertOffset,
                        long horOffset)

  Adds a tile to the list.

### buildTileListProp

    public Property buildTileListProp()

  Returns a property listing all the tiles.

### setTilingType

    public void setTilingType(int tilingType)

### setVertScale

    public void setVertScale(int vertScale)

### setHorScale

    public void setHorScale(int horScale)

### setRefGridHeight

    public void setRefGridHeight(long refGridHeight)

### setRefGridWidth

    public void setRefGridWidth(long refGridWidth)

### getTilingType

    public int getTilingType()

### getVertScale

    public int getVertScale()

### getHorScale

    public int getHorScale()

### getRefGridHeight

    public long getRefGridHeight()

### getRefGridWidth

    public long getRefGridWidth()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD